#version 430 core

in vec2 texCoords;

uniform sampler2D quadTexture;
uniform vec3 textColor = vec3(1, 1, 1);

out vec4 color;

void main()
{             
   color = texture(quadTexture, texCoords);
   color.rgb = color.rbg * textColor;
   if(color.r == 0 && color.g == 0 && color.b == 0)
        discard;
}