#version 430 core

in vec2 texCoords;

uniform sampler2D quadTexture;
uniform float brightness = 1.0f;

out vec4 color;

void main()
{             
   color = texture(quadTexture, texCoords);
   color.rgb *= brightness;

    if(color.a < 0.1)
        discard;
}