#version 430 core

out vec4 FragColor;
  
in vec2 TexCoord;

uniform sampler2D diffuseTexture;

void main()
{
    vec4 texColor = texture(diffuseTexture, TexCoord);
    if(texColor.a < 0.1)
        discard;
    FragColor = texColor;
}