#version 430 core
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec2 aTexCoords;

uniform mat4 worldMatrix;

out vec2 texCoords;

void main()
{
    texCoords = aTexCoords;
    
    //gl_Position = vec4(aPos, 1.0);
    //gl_Position = worldMatrix * vec4(aPos, 1.0f);
    gl_Position = worldMatrix * vec4(aPos.x, aPos.y, 0.0f, 1.0f);
}